/***********************************************************************************
		        	glbox.cpp
                             -------------------
    begin                : Mon Jan 27 19:29:59 CET 2003
    copyright           : (C) 2003 by Roman Roelofsen
    email                 : r.roelofsen@web.de
 ***********************************************************************************/

/***********************************************************************************
 *													*
 *   This program is free software; you can redistribute it and/or modify  	*
 *   it under the terms of the GNU General Public License as published by  	*
 *   the Free Software Foundation; either version 2 of the License, or     	*
 *   (at your option) any later version.                                   			*
 *                                                                         				*
 ***********************************************************************************/

#include "glbox.h"

GLuint GLBox::makeObject()
{	
    GLuint list;

    list = glGenLists( 1 );

    glNewList( list, GL_COMPILE );

    glLineWidth( 1.0 );

    glBegin( GL_LINE_LOOP );
    glVertex3f(  1.0,  1.0, -1.0 );
    glVertex3f(  1.0, -1.0, -1.0 );
    glVertex3f( -1.0, -1.0, -1.0 );
    glVertex3f( -1.0,  1.0, -1.0 );
    glEnd();

    glBegin( GL_LINE_LOOP );
    glVertex3f(  1.0,  1.0, 1.0 );
    glVertex3f(  1.0, -1.0, 1.0 );
    glVertex3f( -1.0, -1.0, 1.0 );
    glVertex3f( -1.0,  1.0, 1.0 );
    glEnd();

    glBegin( GL_LINES );
    glVertex3f(  1.0,  1.0, -1.0 );   glVertex3f(  1.0,  1.0, 1.0 );
    glVertex3f(  1.0, -1.0, -1.0 );   glVertex3f(  1.0, -1.0, 1.0 );
    glVertex3f( -1.0, -1.0, -1.0 );   glVertex3f( -1.0, -1.0, 1.0 );
    glVertex3f( -1.0,  1.0, -1.0 );   glVertex3f( -1.0,  1.0, 1.0 );
    glEnd();

    glEndList();

    return list;
}
